Ok, I have this lisp routine that creates a leader with an arrow (pline). I am doing some contract work for an architect and he has an arrow that he likes to use. I would like to incorporate this arrow block into my lisp routine, but I don't have a clue how to do it!! Can I get some help? This guy notes and dimensions in Paper space so I dont have to worry about dimscale. Here is the routine that I have: (defun c:arrow (/ sp ang arrang leng ep) (setq sp (getpoint " arrow start point:") angp (getangle sp " arrow angle:") len (* 0.09 (getvar"dimscale")) ep (polar sp angp len) ew (* 0.03 (getvar"dimscale")) ) (command "pline" sp "w" "0.0" ew ep "w" "0.0" "0.0" "arc" pause "") (princ))